#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    ll N, M;
    cin >> N >> M;
    cout << N*M - (((N - 2)*(M - 2))/2 + (((N - 2)*(M - 2))%2 > 0)) << endl;
    return 0;
}